#!/usr/bin/env python

# Parse all bib files and create a central bib file

import glob
import sys
import re
import bibtexparser
import codecs

dirLoc = sys.argv[1]
mDir = dirLoc + '/*.bib'
fileList = glob.glob(mDir)
referenceDict = {}

mBib = {}

for fileName in fileList:
    #with codecs.open(fileName, mode='r', encoding='utf-8') as f:
    if 'mohit' in fileName:
        print(fileName)
    with open(fileName, encoding="latin-1") as f:
        bib_database = bibtexparser.load(f)
        bib_dict = bib_database.entries_dict 
        # Remove Duplicates
        for mKey in bib_dict.keys():
            mBib[mKey] = bib_dict[mKey]

#for key in mBib.keys():
#    print(mBib[key])
mDatabase = bibtexparser.bibdatabase.BibDatabase()

for key in mBib.keys():
    mDatabase.entries.append(mBib[key])

#print(mDatabase.entries)
fName = 'global.bib'
print("Dumping Database to %s" % fName)
#with codecs.open(fName, mode='w', encoding='utf-8') as f:
with open(fName, 'w', encoding="latin-1") as f:
    bibtexparser.dump(mDatabase, f)
