import fnmatch
import os
import glob


matches = []
for root, dirnames, filenames in os.walk('.'):
    for filename in fnmatch.filter(filenames, '*.tex'):
        matches.append(os.path.join(root, filename))

#print(matches)
mMatches = []
figs = {}

for fileName in matches:
    lineNo = 0
    with open(fileName, "r") as f: 
        for line in f:
            if line[0] != '%':  
                line = line.strip()
                if 'fig:' in line:
                    #print("%s>::Line %d:: %s" %(fileName, lineNo, line)) 
                    mMatches.append((fileName,lineNo,line))
                    fig = line.split('{')[1]
                    fig = fig.split('}')[0]
                    if fig not in figs:
                        figs[fig] = []
                    figs[fig].append((fileName, lineNo)) 
            lineNo = lineNo + 1

#print(figs)
for key in figs:
    print("Key, File Name, LineNo")
    print("======================")
    thing = figs[key]
    for (fileName, lineNo) in thing:
        print(key, fileName, lineNo)
    print("\n")

